{ ... }:

{
  imports = [ (import ./hardware-configuration.nix) ];

  boot.loader = {
    efi = {
      canTouchEfiVariables = true;
      efiSysMountPoint = "/boot";
    };
    grub = {
      efiSupport = true;
      device = "nodev";
    };
  };

  # Use X11 caps lock to escape remap in TTY
  console.useXkbConfig = true;
  services.xserver.xkbOptions = "caps:escape";
}
